using Gen:
    @gen,
    categorical

@gen function model()
    hepatotoxic ~ categorical([0.08154506, 0.91845494])

    alcoholism ~ categorical([0.1359084, 0.8640916])

    gallstones ~ categorical([0.1530758, 0.8469242])

    hospital ~ categorical([0.5350501, 0.4649499])

    surgery ~ categorical([0.4234621, 0.5765379])

    vh_amn ~ categorical([0.1731044, 0.8268956])

    sex ~ categorical([0.5979971, 0.4020029])

    age ~ categorical([0.07725322, 0.38769671, 0.39771102, 0.13733906])

    diabetes ~ categorical([0.03576538, 0.96423462])

    if ((hepatotoxic == 1))
        RHepatitis ~ categorical([0.01754386, 0.98245614])
    elseif ((hepatotoxic == 2))
        RHepatitis ~ categorical([0.02492212, 0.97507788])
    else
        @assert false
    end

    if ((hepatotoxic == 1) && (alcoholism == 1))
        THepatitis ~ categorical([0.2, 0.8])
    elseif ((hepatotoxic == 1) && (alcoholism == 2))
        THepatitis ~ categorical([0.00191939, 0.99808061])
    elseif ((hepatotoxic == 2) && (alcoholism == 1))
        THepatitis ~ categorical([0.08888889, 0.91111111])
    elseif ((hepatotoxic == 2) && (alcoholism == 2))
        THepatitis ~ categorical([0.0326087, 0.9673913])
    else
        @assert false
    end

    if ((gallstones == 1))
        choledocholithotomy ~ categorical([0.7102804, 0.2897196])
    elseif ((gallstones == 2))
        choledocholithotomy ~ categorical([0.03716216, 0.96283784])
    else
        @assert false
    end

    if ((gallstones == 1))
        upper_pain ~ categorical([0.411215, 0.588785])
    elseif ((gallstones == 2))
        upper_pain ~ categorical([0.3868243, 0.6131757])
    else
        @assert false
    end

    if ((gallstones == 1))
        fat ~ categorical([0.1775701, 0.8224299])
    elseif ((gallstones == 2))
        fat ~ categorical([0.2804054, 0.7195946])
    else
        @assert false
    end

    if ((gallstones == 1))
        flatulence ~ categorical([0.3925234, 0.6074766])
    elseif ((gallstones == 2))
        flatulence ~ categorical([0.4307432, 0.5692568])
    else
        @assert false
    end

    if ((gallstones == 1))
        amylase ~ categorical([0.01869159, 0.04672897, 0.93457944])
    elseif ((gallstones == 2))
        amylase ~ categorical([0.01013514, 0.01689189, 0.97297297])
    else
        @assert false
    end

    if ((sex == 1) && (age == 1))
        PBC ~ categorical([0.6571429, 0.3428571])
    elseif ((sex == 1) && (age == 2))
        PBC ~ categorical([0.700565, 0.299435])
    elseif ((sex == 1) && (age == 3))
        PBC ~ categorical([0.6149425, 0.3850575])
    elseif ((sex == 1) && (age == 4))
        PBC ~ categorical([0.125, 0.875])
    elseif ((sex == 2) && (age == 1))
        PBC ~ categorical([0.3684211, 0.6315789])
    elseif ((sex == 2) && (age == 2))
        PBC ~ categorical([0.08510638, 0.91489362])
    elseif ((sex == 2) && (age == 3))
        PBC ~ categorical([0.06730769, 0.93269231])
    elseif ((sex == 2) && (age == 4))
        PBC ~ categorical([0.00156006, 0.99843994])
    else
        @assert false
    end

    if ((age == 1) && (sex == 1))
        Hyperbilirubinemia ~ categorical([0.002849, 0.997151])
    elseif ((age == 1) && (sex == 2))
        Hyperbilirubinemia ~ categorical([0.0052356, 0.9947644])
    elseif ((age == 2) && (sex == 1))
        Hyperbilirubinemia ~ categorical([0.01129944, 0.98870056])
    elseif ((age == 2) && (sex == 2))
        Hyperbilirubinemia ~ categorical([0.0212766, 0.9787234])
    elseif ((age == 3) && (sex == 1))
        Hyperbilirubinemia ~ categorical([0.04597701, 0.95402299])
    elseif ((age == 3) && (sex == 2))
        Hyperbilirubinemia ~ categorical([0.07692308, 0.92307692])
    elseif ((age == 4) && (sex == 1))
        Hyperbilirubinemia ~ categorical([0.21875, 0.78125])
    elseif ((age == 4) && (sex == 2))
        Hyperbilirubinemia ~ categorical([0.453125, 0.546875])
    else
        @assert false
    end

    if ((diabetes == 1))
        obesity ~ categorical([0.24, 0.76])
    elseif ((diabetes == 2))
        obesity ~ categorical([0.06231454, 0.93768546])
    else
        @assert false
    end

    if ((RHepatitis == 1) && (THepatitis == 1))
        anorexia ~ categorical([0.1818182, 0.8181818])
    elseif ((RHepatitis == 1) && (THepatitis == 2))
        anorexia ~ categorical([0.1176471, 0.8823529])
    elseif ((RHepatitis == 2) && (THepatitis == 1))
        anorexia ~ categorical([0.2222222, 0.7777778])
    elseif ((RHepatitis == 2) && (THepatitis == 2))
        anorexia ~ categorical([0.280916, 0.719084])
    else
        @assert false
    end

    if ((RHepatitis == 1) && (THepatitis == 1))
        nausea ~ categorical([0.3636364, 0.6363636])
    elseif ((RHepatitis == 1) && (THepatitis == 2))
        nausea ~ categorical([0.3529412, 0.6470588])
    elseif ((RHepatitis == 2) && (THepatitis == 1))
        nausea ~ categorical([0.3703704, 0.6296296])
    elseif ((RHepatitis == 2) && (THepatitis == 2))
        nausea ~ categorical([0.2854962, 0.7145038])
    else
        @assert false
    end

    if ((hospital == 1) && (surgery == 1) && (choledocholithotomy == 1))
        injections ~ categorical([0.8, 0.2])
    elseif ((hospital == 1) && (surgery == 1) && (choledocholithotomy == 2))
        injections ~ categorical([0.715847, 0.284153])
    elseif ((hospital == 1) && (surgery == 2) && (choledocholithotomy == 1))
        injections ~ categorical([0.8333333, 0.1666667])
    elseif ((hospital == 1) && (surgery == 2) && (choledocholithotomy == 2))
        injections ~ categorical([0.4818182, 0.5181818])
    elseif ((hospital == 2) && (surgery == 1) && (choledocholithotomy == 1))
        injections ~ categorical([0.375, 0.625])
    elseif ((hospital == 2) && (surgery == 1) && (choledocholithotomy == 2))
        injections ~ categorical([0.2333333, 0.7666667])
    elseif ((hospital == 2) && (surgery == 2) && (choledocholithotomy == 1))
        injections ~ categorical([0.01098901, 0.98901099])
    elseif ((hospital == 2) && (surgery == 2) && (choledocholithotomy == 2))
        injections ~ categorical([0.0647482, 0.9352518])
    else
        @assert false
    end

    if ((hospital == 1) && (surgery == 1) && (choledocholithotomy == 1))
        transfusion ~ categorical([0.3333333, 0.6666667])
    elseif ((hospital == 1) && (surgery == 1) && (choledocholithotomy == 2))
        transfusion ~ categorical([0.2896175, 0.7103825])
    elseif ((hospital == 1) && (surgery == 2) && (choledocholithotomy == 1))
        transfusion ~ categorical([0.1666667, 0.8333333])
    elseif ((hospital == 1) && (surgery == 2) && (choledocholithotomy == 2))
        transfusion ~ categorical([0.1181818, 0.8818182])
    elseif ((hospital == 2) && (surgery == 1) && (choledocholithotomy == 1))
        transfusion ~ categorical([0.125, 0.875])
    elseif ((hospital == 2) && (surgery == 1) && (choledocholithotomy == 2))
        transfusion ~ categorical([0.3, 0.7])
    elseif ((hospital == 2) && (surgery == 2) && (choledocholithotomy == 1))
        transfusion ~ categorical([0.01098901, 0.98901099])
    elseif ((hospital == 2) && (surgery == 2) && (choledocholithotomy == 2))
        transfusion ~ categorical([0.01079137, 0.98920863])
    else
        @assert false
    end

    if ((PBC == 1))
        ama ~ categorical([0.5678571, 0.4321429])
    elseif ((PBC == 2))
        ama ~ categorical([0.01193317, 0.98806683])
    else
        @assert false
    end

    if ((PBC == 1))
        le_cells ~ categorical([0.1214286, 0.8785714])
    elseif ((PBC == 2))
        le_cells ~ categorical([0.04057279, 0.95942721])
    else
        @assert false
    end

    if ((PBC == 1))
        joints ~ categorical([0.1285714, 0.8714286])
    elseif ((PBC == 2))
        joints ~ categorical([0.1002387, 0.8997613])
    else
        @assert false
    end

    if ((obesity == 1) && (alcoholism == 1))
        Steatosis ~ categorical([0.3636364, 0.6363636])
    elseif ((obesity == 1) && (alcoholism == 2))
        Steatosis ~ categorical([0.1891892, 0.8108108])
    elseif ((obesity == 2) && (alcoholism == 1))
        Steatosis ~ categorical([0.2380952, 0.7619048])
    elseif ((obesity == 2) && (alcoholism == 2))
        Steatosis ~ categorical([0.06349206, 0.93650794])
    else
        @assert false
    end

    if ((transfusion == 1) && (vh_amn == 1) && (injections == 1))
        ChHepatitis ~ categorical([0.2094241, 0.0052356, 0.7853403])
    elseif ((transfusion == 1) && (vh_amn == 1) && (injections == 2))
        ChHepatitis ~ categorical([0.4615385, 0.3076923, 0.2307692])
    elseif ((transfusion == 1) && (vh_amn == 2) && (injections == 1))
        ChHepatitis ~ categorical([0.06, 0.06, 0.88])
    elseif ((transfusion == 1) && (vh_amn == 2) && (injections == 2))
        ChHepatitis ~ categorical([0.13043478, 0.04347826, 0.82608696])
    elseif ((transfusion == 2) && (vh_amn == 1) && (injections == 1))
        ChHepatitis ~ categorical([0.15384615, 0.05128205, 0.7948718])
    elseif ((transfusion == 2) && (vh_amn == 1) && (injections == 2))
        ChHepatitis ~ categorical([0.24, 0.14, 0.62])
    elseif ((transfusion == 2) && (vh_amn == 2) && (injections == 1))
        ChHepatitis ~ categorical([0.07692308, 0.00591716, 0.91715976])
    elseif ((transfusion == 2) && (vh_amn == 2) && (injections == 2))
        ChHepatitis ~ categorical([0.13095238, 0.05357143, 0.81547619])
    else
        @assert false
    end

    if ((PBC == 1) && (joints == 1))
        pain ~ categorical([0.3888889, 0.6111111])
    elseif ((PBC == 1) && (joints == 2))
        pain ~ categorical([0.147541, 0.852459])
    elseif ((PBC == 2) && (joints == 1))
        pain ~ categorical([0.8095238, 0.1904762])
    elseif ((PBC == 2) && (joints == 2))
        pain ~ categorical([0.1830239, 0.8169761])
    else
        @assert false
    end

    if ((Steatosis == 1))
        triglycerides ~ categorical([0.1791045, 0.1641791, 0.6567164])
    elseif ((Steatosis == 2))
        triglycerides ~ categorical([0.02373418, 0.03164557, 0.94462025])
    else
        @assert false
    end

    if ((Steatosis == 1) && (Hyperbilirubinemia == 1))
        pain_ruq ~ categorical([0.3934426, 0.6065574])
    elseif ((Steatosis == 1) && (Hyperbilirubinemia == 2))
        pain_ruq ~ categorical([0.4776119, 0.5223881])
    elseif ((Steatosis == 2) && (Hyperbilirubinemia == 1))
        pain_ruq ~ categorical([0.2857143, 0.7142857])
    elseif ((Steatosis == 2) && (Hyperbilirubinemia == 2))
        pain_ruq ~ categorical([0.421875, 0.578125])
    else
        @assert false
    end

    if ((RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.6097561, 0.3902439])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.68, 0.32])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.5918367, 0.4081633])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.673913, 0.326087])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.5901639, 0.4098361])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.6527778, 0.3472222])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.5555556, 0.4444444])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.7058823, 0.2941177])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.6, 0.4])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.6756757, 0.3243243])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.5897436, 0.4102564])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.7777778, 0.2222222])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.5866667, 0.4133333])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.6865672, 0.3134328])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        hepatomegaly ~ categorical([0.375, 0.625])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        hepatomegaly ~ categorical([0.6973684, 0.3026316])
    else
        @assert false
    end

    if ((ChHepatitis == 1))
        fibrosis ~ categorical([0.3, 0.7])
    elseif ((ChHepatitis == 2))
        fibrosis ~ categorical([0.05, 0.95])
    elseif ((ChHepatitis == 3))
        fibrosis ~ categorical([0.001, 0.999])
    else
        @assert false
    end

    if ((ChHepatitis == 1) && (THepatitis == 1) && (RHepatitis == 1))
        fatigue ~ categorical([0.6363636, 0.3636364])
    elseif ((ChHepatitis == 1) && (THepatitis == 1) && (RHepatitis == 2))
        fatigue ~ categorical([0.625, 0.375])
    elseif ((ChHepatitis == 1) && (THepatitis == 2) && (RHepatitis == 1))
        fatigue ~ categorical([0.6236559, 0.3763441])
    elseif ((ChHepatitis == 1) && (THepatitis == 2) && (RHepatitis == 2))
        fatigue ~ categorical([0.6043956, 0.3956044])
    elseif ((ChHepatitis == 2) && (THepatitis == 1) && (RHepatitis == 1))
        fatigue ~ categorical([0.6071429, 0.3928571])
    elseif ((ChHepatitis == 2) && (THepatitis == 1) && (RHepatitis == 2))
        fatigue ~ categorical([0.5932203, 0.4067797])
    elseif ((ChHepatitis == 2) && (THepatitis == 2) && (RHepatitis == 1))
        fatigue ~ categorical([0.5892857, 0.4107143])
    elseif ((ChHepatitis == 2) && (THepatitis == 2) && (RHepatitis == 2))
        fatigue ~ categorical([0.5277778, 0.4722222])
    elseif ((ChHepatitis == 3) && (THepatitis == 1) && (RHepatitis == 1))
        fatigue ~ categorical([0.6153846, 0.3846154])
    elseif ((ChHepatitis == 3) && (THepatitis == 1) && (RHepatitis == 2))
        fatigue ~ categorical([0.6666667, 0.3333333])
    elseif ((ChHepatitis == 3) && (THepatitis == 2) && (RHepatitis == 1))
        fatigue ~ categorical([0.7058823, 0.2941177])
    elseif ((ChHepatitis == 3) && (THepatitis == 2) && (RHepatitis == 2))
        fatigue ~ categorical([0.5359849, 0.4640151])
    else
        @assert false
    end

    if ((gallstones == 1) && (PBC == 1) && (ChHepatitis == 1))
        pressure_ruq ~ categorical([0.3333333, 0.6666667])
    elseif ((gallstones == 1) && (PBC == 1) && (ChHepatitis == 2))
        pressure_ruq ~ categorical([0.328125, 0.671875])
    elseif ((gallstones == 1) && (PBC == 1) && (ChHepatitis == 3))
        pressure_ruq ~ categorical([0.3292683, 0.6707317])
    elseif ((gallstones == 1) && (PBC == 2) && (ChHepatitis == 1))
        pressure_ruq ~ categorical([0.4, 0.6])
    elseif ((gallstones == 1) && (PBC == 2) && (ChHepatitis == 2))
        pressure_ruq ~ categorical([0.09090909, 0.90909091])
    elseif ((gallstones == 1) && (PBC == 2) && (ChHepatitis == 3))
        pressure_ruq ~ categorical([0.2857143, 0.7142857])
    elseif ((gallstones == 2) && (PBC == 1) && (ChHepatitis == 1))
        pressure_ruq ~ categorical([0.3424658, 0.6575342])
    elseif ((gallstones == 2) && (PBC == 1) && (ChHepatitis == 2))
        pressure_ruq ~ categorical([0.3227513, 0.6772487])
    elseif ((gallstones == 2) && (PBC == 1) && (ChHepatitis == 3))
        pressure_ruq ~ categorical([0.2929293, 0.7070707])
    elseif ((gallstones == 2) && (PBC == 2) && (ChHepatitis == 1))
        pressure_ruq ~ categorical([0.4691358, 0.5308642])
    elseif ((gallstones == 2) && (PBC == 2) && (ChHepatitis == 2))
        pressure_ruq ~ categorical([0.4285714, 0.5714286])
    elseif ((gallstones == 2) && (PBC == 2) && (ChHepatitis == 3))
        pressure_ruq ~ categorical([0.4532374, 0.5467626])
    else
        @assert false
    end

    if ((PBC == 1) && (ChHepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.2704918, 0.1721312, 0.557377])
    elseif ((PBC == 1) && (ChHepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.2972973, 0.1837838, 0.5189189])
    elseif ((PBC == 1) && (ChHepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.2941177, 0.1911765, 0.5147058])
    elseif ((PBC == 1) && (ChHepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.3205575, 0.2055749, 0.4738676])
    elseif ((PBC == 1) && (ChHepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.3093923, 0.1767956, 0.5138121])
    elseif ((PBC == 1) && (ChHepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.3315508, 0.171123, 0.4973262])
    elseif ((PBC == 1) && (ChHepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.3333333, 0.172043, 0.4946237])
    elseif ((PBC == 1) && (ChHepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.368, 0.184, 0.448])
    elseif ((PBC == 1) && (ChHepatitis == 3) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.3425926, 0.1712963, 0.4861111])
    elseif ((PBC == 1) && (ChHepatitis == 3) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.36298933629893365, 0.1779359177935918, 0.4590747459074746])
    elseif ((PBC == 1) && (ChHepatitis == 3) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.36363636363636365, 0.18181818181818182, 0.45454545454545453])
    elseif ((PBC == 1) && (ChHepatitis == 3) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.4321428567857143, 0.21071427892857209, 0.3571428642857135])
    elseif ((PBC == 2) && (ChHepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.2682927, 0.1768293, 0.554878])
    elseif ((PBC == 2) && (ChHepatitis == 1) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.175, 0.1625, 0.6625])
    elseif ((PBC == 2) && (ChHepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.1045752, 0.1633987, 0.7320261])
    elseif ((PBC == 2) && (ChHepatitis == 1) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.03296703, 0.21978022, 0.74725275])
    elseif ((PBC == 2) && (ChHepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.06024096, 0.12048193, 0.81927711])
    elseif ((PBC == 2) && (ChHepatitis == 2) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.08602151, 0.08602151, 0.82795698])
    elseif ((PBC == 2) && (ChHepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.05434783, 0.07608696, 0.86956521])
    elseif ((PBC == 2) && (ChHepatitis == 2) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.05555556, 0.05555556, 0.88888888])
    elseif ((PBC == 2) && (ChHepatitis == 3) && (Steatosis == 1) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.07594937, 0.06329114, 0.86075949])
    elseif ((PBC == 2) && (ChHepatitis == 3) && (Steatosis == 1) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.13432836, 0.05970149, 0.80597015])
    elseif ((PBC == 2) && (ChHepatitis == 3) && (Steatosis == 2) && (Hyperbilirubinemia == 1))
        ESR ~ categorical([0.01785714, 0.07142857, 0.91071429])
    elseif ((PBC == 2) && (ChHepatitis == 3) && (Steatosis == 2) && (Hyperbilirubinemia == 2))
        ESR ~ categorical([0.04733728, 0.05325444, 0.89940828])
    else
        @assert false
    end

    if ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1590909, 0.1477273, 0.1136364, 0.5795454])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1696429, 0.1607143, 0.125, 0.5446428])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1546392, 0.1443299, 0.1134021, 0.5876288])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1730769, 0.1538462, 0.125, 0.5480769])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1666667, 0.1481482, 0.1111111, 0.574074])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1854839, 0.1612903, 0.1209677, 0.5322581])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1694915, 0.1610169, 0.1186441, 0.5508475])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1832061, 0.1755725, 0.129771, 0.5114504])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1759259, 0.1574074, 0.1111111, 0.5555556])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1913044, 0.173913, 0.1217391, 0.5130435])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1885246, 0.1639344, 0.1065574, 0.5409836])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.2108843, 0.1836735, 0.1156463, 0.4897959])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1666667, 0.1590909, 0.1212121, 0.5530303])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1768707, 0.1632653, 0.1292517, 0.5306123])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1652893, 0.1487603, 0.1157025, 0.5702479])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1742424, 0.1590909, 0.1287879, 0.5378788])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1726619, 0.1510791, 0.1151079, 0.5611511])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1893491, 0.1656805, 0.1242604, 0.52071])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1741935, 0.1677419, 0.1225806, 0.535484])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.18579231857923187, 0.18579231857923187, 0.1311475131147513, 0.497267849726785])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1748252, 0.1678322, 0.1188811, 0.5384615])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.19375, 0.18125, 0.125, 0.5])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1918605, 0.1744186, 0.1104651, 0.5232558])
    elseif ((PBC == 1) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.2142857, 0.1932773, 0.1176471, 0.4747899])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1756757, 0.1621622, 0.1216216, 0.5405405])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.18, 0.1666667, 0.1333333, 0.52])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1666667, 0.15, 0.125, 0.5583333])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1782946, 0.1627907, 0.131783, 0.5271317])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1764706, 0.1544118, 0.1176471, 0.5514705])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1939394, 0.169697, 0.1272727, 0.5090909])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1776316, 0.1710526, 0.125, 0.5263158])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.18994411899441188, 0.18994411899441188, 0.13407821340782133, 0.48603354860335485])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1785714, 0.1714286, 0.1214286, 0.5285714])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.198717919871792, 0.18589741858974185, 0.12820511282051128, 0.4871795487179549])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1964286, 0.1785714, 0.1130952, 0.5119048])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.2207792, 0.1991342, 0.1212121, 0.4588745])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.178771, 0.1731844, 0.122905, 0.5251396])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1804878, 0.1756098, 0.1365854, 0.507317])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1698113, 0.1572327, 0.1257862, 0.5471698])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.1843575, 0.1675978, 0.1340782, 0.5139665])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1822917, 0.1614583, 0.1197917, 0.5364583])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.197761180223882, 0.17910448208955182, 0.12686568731343129, 0.49626865037313506])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1826087, 0.1782609, 0.126087, 0.5130434])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.19397991939799195, 0.19397991939799195, 0.13712371371237136, 0.47491644749164474])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1846847, 0.1846847, 0.1261261, 0.5045045])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.2007435, 0.197026, 0.133829, 0.4684015])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.19867548013245198, 0.1920529807947019, 0.12251658774834122, 0.48675495132450486])
    elseif ((PBC == 1) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.2392857, 0.225, 0.1321429, 0.4035714])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.1509434, 0.1415094, 0.1226415, 0.5849057])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.10526316, 0.09210526, 0.13157895, 0.67105263])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.05555556, 0.03703704, 0.09259259, 0.81481481])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.06122449, 0.02040816, 0.10204082, 0.81632653])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.05649718, 0.00188324, 0.07532957, 0.86629001])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07393715, 0.00184843, 0.09242144, 0.83179298])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.06557377, 0.04918033, 0.09836066, 0.78688524])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.078125, 0.078125, 0.125, 0.71875])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04166667, 0.02083333, 0.08333333, 0.85416667])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.04761905, 0.02380952, 0.0952381, 0.83333333])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04338395, 0.0021692, 0.04338395, 0.9110629])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.06651885, 0.00221729, 0.0443459, 0.88691796])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.05714286, 0.04285714, 0.1, 0.8])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07142857, 0.07142857, 0.13095238, 0.72619048])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04545455, 0.03030303, 0.10606061, 0.81818181])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.04615385, 0.03076923, 0.12307692, 0.8])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04285714, 0.01428571, 0.08571429, 0.85714286])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.0617284, 0.01234568, 0.09876543, 0.82716049])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.06024096, 0.04819277, 0.09638554, 0.79518073])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07070707, 0.08080808, 0.12121212, 0.72727273])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04166667, 0.04166667, 0.09722222, 0.81944444])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.03030303, 0.03030303, 0.10606061, 0.83333333])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.02702703, 0.01351351, 0.05405405, 0.90540541])
    elseif ((PBC == 2) && (THepatitis == 1) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07380074, 0.00369004, 0.03690037, 0.88560885])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.06349206, 0.04761905, 0.11111111, 0.77777778])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07594937, 0.07594937, 0.13924051, 0.70886075])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.0483871, 0.03225806, 0.11290323, 0.80645161])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.05, 0.03333333, 0.13333333, 0.78333334])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04615385, 0.01538462, 0.09230769, 0.84615384])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.06756757, 0.01351351, 0.10810811, 0.81081081])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.06410256, 0.05128205, 0.1025641, 0.78205129])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07692308, 0.08791209, 0.13186813, 0.7032967])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04545455, 0.04545455, 0.10606061, 0.80303029])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.03448276, 0.03448276, 0.12068966, 0.81034482])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.03076923, 0.01538462, 0.06153846, 0.89230769])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 1) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.11695906, 0.00584795, 0.05847953, 0.81871346])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.06493506, 0.06493506, 0.11688312, 0.75324676])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07692308, 0.08547009, 0.14529915, 0.69230768])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04444444, 0.04444444, 0.12222222, 0.7888889])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.04210526, 0.04210526, 0.13684211, 0.77894737])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.03703704, 0.02777778, 0.10185185, 0.83333333])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 1) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.07462687, 0.02985075, 0.13432836, 0.76119402])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.05660377, 0.06603774, 0.12264151, 0.75471698])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 1) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.08791209, 0.14285714, 0.17582418, 0.59340659])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.04395604, 0.07692308, 0.13186813, 0.74725275])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 2) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.00277008, 0.05540166, 0.19390582, 0.74792244])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 1))
        ggtp ~ categorical([0.00177936, 0.00177936, 0.01779359, 0.97864769])
    elseif ((PBC == 2) && (THepatitis == 2) && (RHepatitis == 2) && (Steatosis == 2) && (ChHepatitis == 3) && (Hyperbilirubinemia == 2))
        ggtp ~ categorical([0.08, 0.096, 0.144, 0.68])
    else
        @assert false
    end

    if ((PBC == 1) && (Steatosis == 1) && (ChHepatitis == 1))
        cholesterol ~ categorical([0.08965517, 0.28275862, 0.62758621])
    elseif ((PBC == 1) && (Steatosis == 1) && (ChHepatitis == 2))
        cholesterol ~ categorical([0.09659091, 0.30113636, 0.60227273])
    elseif ((PBC == 1) && (Steatosis == 1) && (ChHepatitis == 3))
        cholesterol ~ categorical([0.1034483, 0.3256705, 0.5708812])
    elseif ((PBC == 1) && (Steatosis == 2) && (ChHepatitis == 1))
        cholesterol ~ categorical([0.1015873, 0.3047619, 0.5936508])
    elseif ((PBC == 1) && (Steatosis == 2) && (ChHepatitis == 2))
        cholesterol ~ categorical([0.1050955, 0.3152866, 0.5796179])
    elseif ((PBC == 1) && (Steatosis == 2) && (ChHepatitis == 3))
        cholesterol ~ categorical([0.125, 0.3642857, 0.5107143])
    elseif ((PBC == 2) && (Steatosis == 1) && (ChHepatitis == 1))
        cholesterol ~ categorical([0.09174312, 0.27981651, 0.62844037])
    elseif ((PBC == 2) && (Steatosis == 1) && (ChHepatitis == 2))
        cholesterol ~ categorical([0.06918239, 0.23899371, 0.6918239])
    elseif ((PBC == 2) && (Steatosis == 1) && (ChHepatitis == 3))
        cholesterol ~ categorical([0.04477612, 0.2238806, 0.73134328])
    elseif ((PBC == 2) && (Steatosis == 2) && (ChHepatitis == 1))
        cholesterol ~ categorical([0.03296703, 0.06593407, 0.9010989])
    elseif ((PBC == 2) && (Steatosis == 2) && (ChHepatitis == 2))
        cholesterol ~ categorical([0.00277008, 0.02770083, 0.96952909])
    elseif ((PBC == 2) && (Steatosis == 2) && (ChHepatitis == 3))
        cholesterol ~ categorical([0.00044425, 0.09773434, 0.90182141])
    else
        @assert false
    end

    if ((vh_amn == 1) && (ChHepatitis == 1))
        hbsag ~ categorical([0.5, 0.5])
    elseif ((vh_amn == 1) && (ChHepatitis == 2))
        hbsag ~ categorical([0.4615385, 0.5384615])
    elseif ((vh_amn == 1) && (ChHepatitis == 3))
        hbsag ~ categorical([0.1125, 0.8875])
    elseif ((vh_amn == 2) && (ChHepatitis == 1))
        hbsag ~ categorical([0.1904762, 0.8095238])
    elseif ((vh_amn == 2) && (ChHepatitis == 2))
        hbsag ~ categorical([0.04347826, 0.95652174])
    elseif ((vh_amn == 2) && (ChHepatitis == 3))
        hbsag ~ categorical([0.04674797, 0.95325203])
    else
        @assert false
    end

    if ((vh_amn == 1) && (ChHepatitis == 1))
        hbc_anti ~ categorical([0.00355872, 0.99644128])
    elseif ((vh_amn == 1) && (ChHepatitis == 2))
        hbc_anti ~ categorical([0.00763359, 0.99236641])
    elseif ((vh_amn == 1) && (ChHepatitis == 3))
        hbc_anti ~ categorical([0.0875, 0.9125])
    elseif ((vh_amn == 2) && (ChHepatitis == 1))
        hbc_anti ~ categorical([0.07936508, 0.92063492])
    elseif ((vh_amn == 2) && (ChHepatitis == 2))
        hbc_anti ~ categorical([0.1304348, 0.8695652])
    elseif ((vh_amn == 2) && (ChHepatitis == 3))
        hbc_anti ~ categorical([0.101626, 0.898374])
    else
        @assert false
    end

    if ((vh_amn == 1) && (ChHepatitis == 1))
        hcv_anti ~ categorical([0.00355872, 0.99644128])
    elseif ((vh_amn == 1) && (ChHepatitis == 2))
        hcv_anti ~ categorical([0.00763359, 0.99236641])
    elseif ((vh_amn == 1) && (ChHepatitis == 3))
        hcv_anti ~ categorical([0.00124844, 0.99875156])
    elseif ((vh_amn == 2) && (ChHepatitis == 1))
        hcv_anti ~ categorical([0.00158479, 0.99841521])
    elseif ((vh_amn == 2) && (ChHepatitis == 2))
        hcv_anti ~ categorical([0.004329, 0.995671])
    elseif ((vh_amn == 2) && (ChHepatitis == 3))
        hcv_anti ~ categorical([0.00203252, 0.99796748])
    else
        @assert false
    end

    if ((vh_amn == 1) && (ChHepatitis == 1))
        hbeag ~ categorical([0.00355872, 0.99644128])
    elseif ((vh_amn == 1) && (ChHepatitis == 2))
        hbeag ~ categorical([0.00763359, 0.99236641])
    elseif ((vh_amn == 1) && (ChHepatitis == 3))
        hbeag ~ categorical([0.00124844, 0.99875156])
    elseif ((vh_amn == 2) && (ChHepatitis == 1))
        hbeag ~ categorical([0.00158479, 0.99841521])
    elseif ((vh_amn == 2) && (ChHepatitis == 2))
        hbeag ~ categorical([0.04347826, 0.95652174])
    elseif ((vh_amn == 2) && (ChHepatitis == 3))
        hbeag ~ categorical([0.00203252, 0.99796748])
    else
        @assert false
    end

    if ((hepatomegaly == 1))
        hepatalgia ~ categorical([0.3142251, 0.6857749])
    elseif ((hepatomegaly == 2))
        hepatalgia ~ categorical([0.03070175, 0.96929825])
    else
        @assert false
    end

    if ((fibrosis == 1) && (Steatosis == 1))
        Cirrhosis ~ categorical([0.56, 0.24, 0.2])
    elseif ((fibrosis == 1) && (Steatosis == 2))
        Cirrhosis ~ categorical([0.49, 0.21, 0.3])
    elseif ((fibrosis == 2) && (Steatosis == 1))
        Cirrhosis ~ categorical([0.35, 0.15, 0.5])
    elseif ((fibrosis == 2) && (Steatosis == 2))
        Cirrhosis ~ categorical([0.001, 0.001, 0.998])
    else
        @assert false
    end

    if ((vh_amn == 1) && (ChHepatitis == 1) && (hbsag == 1))
        hbsag_anti ~ categorical([0.0070922, 0.9929078])
    elseif ((vh_amn == 1) && (ChHepatitis == 1) && (hbsag == 2))
        hbsag_anti ~ categorical([0.07142857, 0.92857143])
    elseif ((vh_amn == 1) && (ChHepatitis == 2) && (hbsag == 1))
        hbsag_anti ~ categorical([0.01639344, 0.98360656])
    elseif ((vh_amn == 1) && (ChHepatitis == 2) && (hbsag == 2))
        hbsag_anti ~ categorical([0.01408451, 0.98591549])
    elseif ((vh_amn == 1) && (ChHepatitis == 3) && (hbsag == 1))
        hbsag_anti ~ categorical([0.01098901, 0.98901099])
    elseif ((vh_amn == 1) && (ChHepatitis == 3) && (hbsag == 2))
        hbsag_anti ~ categorical([0.04225352, 0.95774648])
    elseif ((vh_amn == 2) && (ChHepatitis == 1) && (hbsag == 1))
        hbsag_anti ~ categorical([0.08333333, 0.91666667])
    elseif ((vh_amn == 2) && (ChHepatitis == 1) && (hbsag == 2))
        hbsag_anti ~ categorical([0.00195695, 0.99804305])
    elseif ((vh_amn == 2) && (ChHepatitis == 2) && (hbsag == 1))
        hbsag_anti ~ categorical([0.09090909, 0.90909091])
    elseif ((vh_amn == 2) && (ChHepatitis == 2) && (hbsag == 2))
        hbsag_anti ~ categorical([0.00452489, 0.99547511])
    elseif ((vh_amn == 2) && (ChHepatitis == 3) && (hbsag == 1))
        hbsag_anti ~ categorical([0.004329, 0.995671])
    elseif ((vh_amn == 2) && (ChHepatitis == 3) && (hbsag == 2))
        hbsag_anti ~ categorical([0.01492537, 0.98507463])
    else
        @assert false
    end

    if ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.04347826, 0.2173913, 0.34782609, 0.39130435])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.07407407074074071, 0.2222222222222222, 0.3333333333333333, 0.37037037370370374])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07894737, 0.23684211, 0.34210526, 0.34210526])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.019230769807692304, 0.11538461884615381, 0.3653846163461539, 0.4999999950000001])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.01818182, 0.11818182, 0.38181818, 0.48181818])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.021897810218978103, 0.12408759124087591, 0.416058394160584, 0.43795620437956206])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.03571428964285711, 0.16071428839285715, 0.39285713607142864, 0.41071428589285713])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.05882353, 0.20588235, 0.38235294, 0.35294118])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07692308000000002, 0.23076923000000002, 0.35897436000000005, 0.33333333000000004])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.02020202, 0.11111111, 0.34343434, 0.52525253])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.01941748, 0.10679612, 0.34951456, 0.52427184])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.023622049763779504, 0.11811023881889762, 0.3779527562204725, 0.48031495519685047])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.04225352, 0.15492958, 0.36619718, 0.43661972])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.06, 0.2, 0.36, 0.38])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07575758, 0.22727273, 0.36363636, 0.33333333])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.03030303, 0.12121212, 0.35606061, 0.49242424])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.021582730215827302, 0.1151079111510791, 0.3741007237410072, 0.48920863489208627])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.02061856, 0.12371134, 0.40721649, 0.44845361])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.01449275, 0.11594203, 0.39130435, 0.47826087])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00398406, 0.11952191, 0.35856574, 0.51792829])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.00662252, 0.13245033, 0.26490066, 0.59602649])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00151286, 0.04538578, 0.34795764, 0.60514372])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00144718, 0.04341534, 0.37626628, 0.5788712])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.00114811, 0.05740528, 0.44776119, 0.49368542])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00311526, 0.03115265, 0.43613707, 0.52959502])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00892857, 0.00892857, 0.44642857, 0.53571429])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.01388889, 0.01388889, 0.41666667, 0.55555555])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00178253, 0.01782531, 0.28520499, 0.69518717])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00174825, 0.00174825, 0.2972028, 0.6993007])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.00144509, 0.00144509, 0.36127168, 0.63583814])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00255102, 0.00255102, 0.33163265, 0.66326531])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.0049505, 0.0049505, 0.2970297, 0.6930693])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07692308, 0.07692308, 0.07692308, 0.76923076])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00146843, 0.01468429, 0.30837004, 0.67547724])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00127877, 0.00127877, 0.33248082, 0.66496164])
    elseif ((Hyperbilirubinemia == 1) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.00181159, 0.00181159, 0.54347827, 0.45289855])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.0408163295918367, 0.14285713857142862, 0.4081632659183674, 0.4081632659183674])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.06818182068181822, 0.20454545204545452, 0.36363636363636365, 0.36363636363636365])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07692308, 0.23076923, 0.35384615, 0.33846154])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.030303030303030304, 0.1439393914393939, 0.3409090934090909, 0.48484848484848486])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.02173913, 0.13768116, 0.35507246, 0.48550725])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.025906739740932605, 0.15025906849740933, 0.38341968616580313, 0.44041450559585493])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.0425531895744681, 0.17021276829787235, 0.37234042627659575, 0.4148936158510639])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.05084745949152541, 0.20338982796610172, 0.37288135627118646, 0.37288135627118646])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.07042254, 0.22535211, 0.36619718, 0.33802817])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.032, 0.136, 0.312, 0.52])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.0234375, 0.1328125, 0.3125, 0.53125])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.02824859, 0.14124294, 0.33898305, 0.49152542])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.044776120447761206, 0.164179101641791, 0.34328358343283577, 0.44776119447761187])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.05555556, 0.19444444, 0.35185185, 0.39814815])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.08536585, 0.24390244, 0.36585366, 0.30487805])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.039106149608938504, 0.15083798849162014, 0.32960893670391067, 0.4804469251955308])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.02926829, 0.14634146, 0.33658537, 0.48780488])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 1) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.03030303, 0.16666667, 0.38888889, 0.41414141])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.028301889716981103, 0.1603773583962264, 0.3679245263207548, 0.44339622556603775])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.01818182, 0.16363636, 0.34545455, 0.47272727])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.01923077, 0.19230769, 0.01923077, 0.76923077])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.01449275, 0.07246377, 0.24637681, 0.66666667])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.01282051, 0.07692308, 0.26923077, 0.64102564])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 1) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.0188679201886792, 0.1320754713207547, 0.4339622643396226, 0.41509434415094343])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.0032154300321543, 0.0964630209646302, 0.4180064341800643, 0.4823151148231511])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00621118, 0.0621118, 0.43478261, 0.49689441])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.04545455, 0.04545455, 0.45454545, 0.45454545])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.01818182, 0.01818182, 0.14545455, 0.81818181])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.01694915, 0.01694915, 0.10169492, 0.86440678])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 2) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.03448276, 0.03448276, 0.10344828, 0.8275862])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.00980392, 0.00980392, 0.19607843, 0.78431373])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.07692308, 0.07692308, 0.07692308, 0.76923076])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 1) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.01587302, 0.01587302, 0.01587302, 0.95238094])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 1))
        bilirubin ~ categorical([0.01234568, 0.02469136, 0.14814815, 0.81481481])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 2))
        bilirubin ~ categorical([0.00284091, 0.00284091, 0.05681818, 0.9375])
    elseif ((Hyperbilirubinemia == 2) && (PBC == 2) && (Cirrhosis == 3) && (gallstones == 2) && (ChHepatitis == 3))
        bilirubin ~ categorical([0.00070872, 0.02126152, 0.13465627, 0.84337349])
    else
        @assert false
    end

    if ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04166667, 0.29166667, 0.66666666])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.04347826, 0.30434783, 0.65217391])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.04166667, 0.33333333, 0.625])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.03773585, 0.26415094, 0.69811321])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.025, 0.25, 0.725])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.02702703, 0.27027027, 0.7027027])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.03571429, 0.21428571, 0.75])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.02272727, 0.20454545, 0.77272728])
    elseif ((RHepatitis == 1) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.02325581, 0.18604651, 0.79069768])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.02898551, 0.28985507, 0.68115942])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.03389831, 0.3220339, 0.64406779])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.04545455, 0.37878788, 0.57575757])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.02985075, 0.29850746, 0.67164179])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.02040816, 0.28571429, 0.69387755])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.02083333, 0.3125, 0.66666667])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.02597403, 0.24675325, 0.72727272])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.015625, 0.234375, 0.75])
    elseif ((RHepatitis == 1) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.00584795, 0.23391813, 0.76023392])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04761905, 0.28571429, 0.66666666])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.04918033, 0.31147541, 0.63934426])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 1) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.05555556, 0.34722222, 0.59722222])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04166667, 0.27777778, 0.68055555])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.03703704, 0.25925926, 0.7037037])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 2) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.05357143, 0.26785714, 0.67857143])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04651163, 0.22093023, 0.73255814])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.04054054, 0.2027027, 0.75675676])
    elseif ((RHepatitis == 2) && (THepatitis == 1) && (Cirrhosis == 3) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.07407407, 0.14814815, 0.77777778])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04597701, 0.29885057, 0.65517242])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.04494382, 0.33707865, 0.61797753])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 1) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.06896552, 0.48275862, 0.44827586])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.04494382, 0.33707865, 0.61797753])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.03896104, 0.31168831, 0.64935065])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 2) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.06451613, 0.38709677, 0.5483871])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 1))
        phosphatase ~ categorical([0.03296703, 0.21978022, 0.74725275])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 2))
        phosphatase ~ categorical([0.02777778, 0.19444444, 0.77777778])
    elseif ((RHepatitis == 2) && (THepatitis == 2) && (Cirrhosis == 3) && (ChHepatitis == 3))
        phosphatase ~ categorical([0.2118451, 0.3394077, 0.4487472])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        proteins ~ categorical([0.99827883, 0.00172117])
    elseif ((Cirrhosis == 2))
        proteins ~ categorical([0.99678457, 0.00321543])
    elseif ((Cirrhosis == 3))
        proteins ~ categorical([0.98032787, 0.01967213])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        edema ~ categorical([0.3448276, 0.6551724])
    elseif ((Cirrhosis == 2))
        edema ~ categorical([0.06451613, 0.93548387])
    elseif ((Cirrhosis == 3))
        edema ~ categorical([0.1311475, 0.8688525])
    else
        @assert false
    end

    if ((Cirrhosis == 1) && (PBC == 1))
        platelet ~ categorical([0.06547619, 0.63690476, 0.17857143, 0.11904762])
    elseif ((Cirrhosis == 1) && (PBC == 2))
        platelet ~ categorical([0.06896552, 0.46551724, 0.27586207, 0.18965517])
    elseif ((Cirrhosis == 2) && (PBC == 1))
        platelet ~ categorical([0.06557377, 0.63934426, 0.17486339, 0.12021858])
    elseif ((Cirrhosis == 2) && (PBC == 2))
        platelet ~ categorical([0.06451613, 0.64516129, 0.16129032, 0.12903226])
    elseif ((Cirrhosis == 3) && (PBC == 1))
        platelet ~ categorical([0.06428571, 0.67142857, 0.15714286, 0.10714286])
    elseif ((Cirrhosis == 3) && (PBC == 2))
        platelet ~ categorical([0.09393939, 0.73636364, 0.13939394, 0.03030303])
    else
        @assert false
    end

    if ((ChHepatitis == 1) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.01754386, 0.84210526, 0.14035088])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01298701, 0.81818182, 0.16883117])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02150538, 0.8172043, 0.16129032])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01666667, 0.8, 0.18333333])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.025, 0.85, 0.125])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01333333, 0.86666667, 0.12])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02409639, 0.86746988, 0.10843373])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01960784, 0.85294118, 0.12745098])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02197802, 0.89010989, 0.08791209])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01923077, 0.90384615, 0.07692308])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.024, 0.904, 0.072])
    elseif ((ChHepatitis == 1) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.02197802, 0.9010989, 0.07692308])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.03030303, 0.84848485, 0.12121212])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.03225806, 0.79032259, 0.17741935])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02898551, 0.79710145, 0.17391304])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.02469136, 0.75308642, 0.22222222])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.03508772, 0.8245614, 0.14035088])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.04081633, 0.83673469, 0.12244898])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.03571429, 0.85714285, 0.10714286])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.03333333, 0.83333334, 0.13333333])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.05084746, 0.88135593, 0.06779661])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.05, 0.9, 0.05])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.05333333, 0.90666667, 0.04])
    elseif ((ChHepatitis == 2) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.08333333, 0.88888889, 0.02777778])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.03448276, 0.81034483, 0.15517241])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 1) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01428571, 0.75714286, 0.22857143])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02173913, 0.75, 0.22826087])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 1) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.00172117, 0.60240964, 0.39586919])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.01785714, 0.76785715, 0.21428571])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 2) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.01785714, 0.78571429, 0.19642857])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.02816901, 0.80281691, 0.16901408])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 2) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.00321543, 0.67524116, 0.32154341])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.03508772, 0.84210526, 0.12280702])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 3) && (THepatitis == 1) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.03703704000000001, 0.9259259200000001, 0.03703704000000001])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 1))
        inr ~ categorical([0.05357143, 0.89285714, 0.05357143])
    elseif ((ChHepatitis == 3) && (Cirrhosis == 3) && (THepatitis == 2) && (Hyperbilirubinemia == 2))
        inr ~ categorical([0.065, 0.875, 0.06])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        alcohol ~ categorical([0.2068966, 0.7931034])
    elseif ((Cirrhosis == 2))
        alcohol ~ categorical([0.2258064, 0.7741936])
    elseif ((Cirrhosis == 3))
        alcohol ~ categorical([0.1114754, 0.8885246])
    else
        @assert false
    end

    if ((Cirrhosis == 1) && (PBC == 1))
        encephalopathy ~ categorical([0.05325444, 0.94674556])
    elseif ((Cirrhosis == 1) && (PBC == 2))
        encephalopathy ~ categorical([0.05172414, 0.94827586])
    elseif ((Cirrhosis == 2) && (PBC == 1))
        encephalopathy ~ categorical([0.04891304, 0.95108696])
    elseif ((Cirrhosis == 2) && (PBC == 2))
        encephalopathy ~ categorical([0.00321543, 0.99678457])
    elseif ((Cirrhosis == 3) && (PBC == 1))
        encephalopathy ~ categorical([0.05357143, 0.94642857])
    elseif ((Cirrhosis == 3) && (PBC == 2))
        encephalopathy ~ categorical([0.01515152, 0.98484848])
    else
        @assert false
    end

    if ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.058823529411764705, 0.15686274843137252, 0.4117647058823529, 0.37254901627450987])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.05454545054545451, 0.16363636163636364, 0.41818182418181826, 0.36363636363636365])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.04761905, 0.15873016, 0.41269841, 0.38095238])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.06451613, 0.17741935, 0.41935484, 0.33870968])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.07017544, 0.19298246, 0.42105263, 0.31578947])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.07936508, 0.19047619, 0.41269841, 0.31746032])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.0684931506849315, 0.1643835616438356, 0.4246575342465753, 0.3424657534246575])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.05882353, 0.17647059, 0.42647059, 0.33823529])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.06250000000000001, 0.17500000000000002, 0.41250000000000003, 0.35000000000000003])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.075, 0.1875, 0.425, 0.3125])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.08333333, 0.20833333, 0.43055556, 0.27777778])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.08988764, 0.2247191, 0.41573034, 0.26966292])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.0617284, 0.1728395, 0.4197531, 0.345679])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.0547945205479452, 0.1643835616438356, 0.4246575342465753, 0.3561643835616438])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.058823529411764705, 0.15294117847058825, 0.4117647058823529, 0.37647058623529417])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.06976744, 0.1627907, 0.41860465, 0.34883721])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.07792208, 0.18181818, 0.41558442, 0.32467532])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.08333333, 0.1875, 0.40625, 0.32291667])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.06862745, 0.16666667, 0.42156863, 0.34313725])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.0625, 0.1666667, 0.4270833, 0.34375])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.064, 0.168, 0.416, 0.352])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.08148148, 0.17777778, 0.42222222, 0.31851852])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.08661417086614172, 0.19685039196850393, 0.42519685425196857, 0.2913385829133859])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.12087911208791122, 0.23076922307692233, 0.395604439560444, 0.25274722527472254])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.051724140517241404, 0.15517241155172412, 0.3965517239655172, 0.3965517239655172])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.02173913, 0.13043478, 0.41304348, 0.43478261])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.0021692, 0.1084599, 0.3904555, 0.4989154])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.022727270227272705, 0.11363636113636362, 0.40909091409090914, 0.4545454545454546])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.00269542, 0.13477089, 0.40431267, 0.45822102])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.00262467, 0.1312336, 0.36745407, 0.49868766])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.01923077, 0.11538462, 0.40384615, 0.46153846])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.002079, 0.1247401, 0.4158004, 0.4573805])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.0018148800000000003, 0.12704174000000001, 0.39927405000000005, 0.47186933000000003])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.0188679201886792, 0.1320754713207547, 0.41509434415094343, 0.4339622643396226])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.02272727, 0.15909091, 0.40909091, 0.40909091])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.02083333, 0.16666667, 0.375, 0.4375])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.01724138, 0.12068966, 0.39655172, 0.46551724])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.0019193899808061003, 0.11516314884836852, 0.40307101596928985, 0.4798464452015356])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.00166389, 0.09983361, 0.38269551, 0.51580699])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.01724138, 0.10344828, 0.39655172, 0.48275862])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.02040816, 0.12244898, 0.3877551, 0.46938776])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.01818182, 0.10909091, 0.34545455, 0.52727272])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.02777778, 0.11111111, 0.38888889, 0.47222222])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.01492537, 0.11940299, 0.40298507, 0.46268657])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.01190476, 0.10714286, 0.38095238, 0.5])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.03409091, 0.11363636, 0.38636364, 0.46590909])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.02631579, 0.13157895, 0.39473684, 0.44736842])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.02777778, 0.13888889, 0.27777778, 0.55555555])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.02, 0.12, 0.4, 0.46])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.00212314, 0.12738854, 0.42462845, 0.44585987])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.0019193899808061003, 0.11516314884836852, 0.4222648757773513, 0.46065258539347415])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.02, 0.12, 0.44, 0.42])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.0024937699750623007, 0.14962593850374065, 0.448877805511222, 0.3990024860099752])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.0023753002375300238, 0.14251781425178142, 0.4275534427553443, 0.4275534427553443])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.016666669833333304, 0.11666666883333332, 0.4499999955000001, 0.4166666658333334])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.0017825300178253005, 0.12477718124777183, 0.4634581146345812, 0.4099821740998218])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.00144718, 0.11577424, 0.44862518, 0.4341534])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.028169010281690107, 0.12676056126760563, 0.46478873464788734, 0.38028169380281696])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.01724138, 0.15517241, 0.48275862, 0.34482759])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.00584795, 0.23391813, 0.46783626, 0.29239766])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.018181819818181805, 0.10909090890909091, 0.43636363563636366, 0.43636363563636366])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.0017211700172117001, 0.1032702210327022, 0.447504304475043, 0.447504304475043])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.00131406, 0.09198423, 0.42049934, 0.48620237])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.025, 0.1, 0.425, 0.45])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.01470588, 0.11764706, 0.44117647, 0.42647059])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.00369004, 0.07380074, 0.36900369, 0.55350553])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        alt ~ categorical([0.02666667, 0.09333333, 0.42666667, 0.45333333])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        alt ~ categorical([0.01176471, 0.10588235, 0.44705882, 0.43529412])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        alt ~ categorical([0.00149031, 0.08941878, 0.41728763, 0.49180328])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        alt ~ categorical([0.06896551931034481, 0.12068965879310342, 0.4655172353448277, 0.3448275865517242])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        alt ~ categorical([0.03225806, 0.19354839, 0.51612903, 0.25806452])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        alt ~ categorical([0.0456989204569892, 0.1747311817473118, 0.4274193542741935, 0.35215054352150543])
    else
        @assert false
    end

    if ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.01960784, 0.1372549, 0.47058824, 0.37254902])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.01818182, 0.12727273, 0.49090909, 0.36363636])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.01612903, 0.14516129, 0.46774194, 0.37096774])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.01612903, 0.16129032, 0.48387097, 0.33870968])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.018181820000000005, 0.16363636000000004, 0.5090909100000001, 0.30909091000000005])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.032258060322580606, 0.17741935177419352, 0.4838709748387098, 0.3064516130645161])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.02777778, 0.15277778, 0.48611111, 0.33333333])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.02941176, 0.14705882, 0.50000001, 0.32352941])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.02531646, 0.15189873, 0.48101266, 0.34177215])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.025, 0.175, 0.5, 0.3])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.02777778, 0.18055556, 0.52777777, 0.26388889])
    elseif ((ChHepatitis == 1) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.03370787, 0.20224719, 0.50561797, 0.25842697])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.02469136, 0.16049383, 0.4691358, 0.34567901])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.0273972602739726, 0.136986301369863, 0.4794520547945205, 0.3561643835616438])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.023809520238095204, 0.14285714142857142, 0.45238095452380955, 0.38095238380952384])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.02352941, 0.16470588, 0.45882353, 0.35294118])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.02597403, 0.16883117, 0.48051948, 0.32467532])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.03125, 0.1875, 0.4583333, 0.3229167])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.02912621, 0.16504854, 0.46601942, 0.33980583])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.03125, 0.15625, 0.4791667, 0.3333333])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.03174603, 0.15873016, 0.46031746, 0.34920635])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.036764709632352906, 0.17647058823529413, 0.47058823529411764, 0.31617646683823536])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.03937008, 0.18110236, 0.49606299, 0.28346457])
    elseif ((ChHepatitis == 1) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.05494505054945051, 0.23076923230769233, 0.46153846461538467, 0.25274725252747254])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.01754386, 0.14035088, 0.45614035, 0.38596491])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00221729, 0.0886918, 0.48780488, 0.42128603])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00212314, 0.08492569, 0.44585987, 0.4670913])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.00221729, 0.11086475, 0.46563193, 0.42128603])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00269542, 0.08086253, 0.51212938, 0.40431267])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.0026954200269542006, 0.08086253080862531, 0.45822102458221026, 0.45822102458221026])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.00191939, 0.09596929, 0.46065259, 0.44145873])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00203666, 0.0814664, 0.48879837, 0.42769857])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00181488, 0.0907441, 0.45372051, 0.45372051])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.00184843, 0.11090573, 0.4805915, 0.40665434])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00226757, 0.09070295, 0.52154195, 0.38548753])
    elseif ((ChHepatitis == 2) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.00212314, 0.10615711, 0.48832272, 0.40339703])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.0017211700172117001, 0.1032702210327022, 0.447504304475043, 0.447504304475043])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00191939, 0.07677543, 0.46065259, 0.46065259])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00166389, 0.08319468, 0.41597338, 0.49916805])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.00172117, 0.10327022, 0.4302926, 0.46471601])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00203666, 0.0814664, 0.46843177, 0.44806517])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.00181488, 0.0907441, 0.41742287, 0.49001815])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.00142653, 0.09985735, 0.44222539, 0.45649073])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00149031, 0.08941878, 0.46199702, 0.44709389])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00120337, 0.08423586, 0.433213, 0.48134777])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.0113636398863636, 0.10227272897727273, 0.44318181556818187, 0.44318181556818187])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.0131578901315789, 0.0921052609210526, 0.47368421473684214, 0.4210526342105263])
    elseif ((ChHepatitis == 2) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.02777778, 0.11111111, 0.36111111, 0.5])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.0019960099800399003, 0.09980039900199601, 0.4590818354091817, 0.43912175560878247])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00212314, 0.08492569, 0.48832272, 0.42462845])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00191939, 0.07677543, 0.46065259, 0.46065259])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.0019960099800399003, 0.09980039900199601, 0.4790419152095809, 0.41916167580838326])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00249377, 0.07481297, 0.54862842, 0.37406484])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.0024330900000000006, 0.07299270000000001, 0.5109489100000001, 0.41362530000000003])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.0016638900166389, 0.09983361099833611, 0.4991680549916805, 0.39933444399334445])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00175131, 0.08756567, 0.52539405, 0.38528897])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.0014265300142653002, 0.0855920108559201, 0.49928673499286735, 0.41369472413694724])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.0014064700000000002, 0.11251758000000002, 0.5203938100000001, 0.36568214000000004])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00172117, 0.10327022, 0.58519794, 0.30981067])
    elseif ((ChHepatitis == 3) && (RHepatitis == 1) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.00584795, 0.11695906, 0.64327486, 0.23391813])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.00181488, 0.0907441, 0.47186933, 0.43557169])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00172117, 0.06884682, 0.48192771, 0.4475043])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00133156, 0.0665779, 0.43941411, 0.49267643])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.00126422, 0.08849558, 0.4551201, 0.4551201])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.00149031, 0.07451565, 0.49180328, 0.43219076])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 1) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.00369004, 0.07380074, 0.36900369, 0.55350553])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 1))
        ast ~ categorical([0.0013315600133156002, 0.0932090509320905, 0.45272969452729694, 0.45272969452729694])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 2))
        ast ~ categorical([0.00116144, 0.08130081, 0.48780488, 0.42973287])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 1) && (Cirrhosis == 3))
        ast ~ categorical([0.00149031, 0.07451565, 0.43219076, 0.49180328])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 1))
        ast ~ categorical([0.01724138, 0.13793103, 0.5, 0.34482759])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 2))
        ast ~ categorical([0.03225806, 0.06451613, 0.67741936, 0.22580645])
    elseif ((ChHepatitis == 3) && (RHepatitis == 2) && (THepatitis == 2) && (Steatosis == 2) && (Cirrhosis == 3))
        ast ~ categorical([0.01075269, 0.22580645, 0.46774194, 0.29569892])
    else
        @assert false
    end

    if ((Cirrhosis == 1) && (RHepatitis == 1) && (THepatitis == 1))
        spleen ~ categorical([0.3235294, 0.6764706])
    elseif ((Cirrhosis == 1) && (RHepatitis == 1) && (THepatitis == 2))
        spleen ~ categorical([0.3703704, 0.6296296])
    elseif ((Cirrhosis == 1) && (RHepatitis == 2) && (THepatitis == 1))
        spleen ~ categorical([0.3623188, 0.6376812])
    elseif ((Cirrhosis == 1) && (RHepatitis == 2) && (THepatitis == 2))
        spleen ~ categorical([0.4827586, 0.5172414])
    elseif ((Cirrhosis == 2) && (RHepatitis == 1) && (THepatitis == 1))
        spleen ~ categorical([0.3023256, 0.6976744])
    elseif ((Cirrhosis == 2) && (RHepatitis == 1) && (THepatitis == 2))
        spleen ~ categorical([0.2444444, 0.7555556])
    elseif ((Cirrhosis == 2) && (RHepatitis == 2) && (THepatitis == 1))
        spleen ~ categorical([0.2156863, 0.7843137])
    elseif ((Cirrhosis == 2) && (RHepatitis == 2) && (THepatitis == 2))
        spleen ~ categorical([0.2580645, 0.7419355])
    elseif ((Cirrhosis == 3) && (RHepatitis == 1) && (THepatitis == 1))
        spleen ~ categorical([0.1621622, 0.8378378])
    elseif ((Cirrhosis == 3) && (RHepatitis == 1) && (THepatitis == 2))
        spleen ~ categorical([0.1176471, 0.8823529])
    elseif ((Cirrhosis == 3) && (RHepatitis == 2) && (THepatitis == 1))
        spleen ~ categorical([0.1111111, 0.8888889])
    elseif ((Cirrhosis == 3) && (RHepatitis == 2) && (THepatitis == 2))
        spleen ~ categorical([0.1007067, 0.8992933])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        spiders ~ categorical([0.6034483, 0.3965517])
    elseif ((Cirrhosis == 2))
        spiders ~ categorical([0.483871, 0.516129])
    elseif ((Cirrhosis == 3))
        spiders ~ categorical([0.1836066, 0.8163934])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        albumin ~ categorical([0.91222031, 0.08605852, 0.00172117])
    elseif ((Cirrhosis == 2))
        albumin ~ categorical([0.96463023, 0.00321543, 0.03215434])
    elseif ((Cirrhosis == 3))
        albumin ~ categorical([0.7393443, 0.1426229, 0.1180328])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        edge ~ categorical([0.7586207, 0.2413793])
    elseif ((Cirrhosis == 2))
        edge ~ categorical([0.4516129, 0.5483871])
    elseif ((Cirrhosis == 3))
        edge ~ categorical([0.2344262, 0.7655738])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        irregular_liver ~ categorical([0.6034483, 0.3965517])
    elseif ((Cirrhosis == 2))
        irregular_liver ~ categorical([0.3548387, 0.6451613])
    elseif ((Cirrhosis == 3))
        irregular_liver ~ categorical([0.1065574, 0.8934426])
    else
        @assert false
    end

    if ((Cirrhosis == 1))
        palms ~ categorical([0.5, 0.5])
    elseif ((Cirrhosis == 2))
        palms ~ categorical([0.2903226, 0.7096774])
    elseif ((Cirrhosis == 3))
        palms ~ categorical([0.1409836, 0.8590164])
    else
        @assert false
    end

    if ((Cirrhosis == 1) && (PBC == 1))
        carcinoma ~ categorical([0.3636364, 0.6363636])
    elseif ((Cirrhosis == 1) && (PBC == 2))
        carcinoma ~ categorical([0.3, 0.7])
    elseif ((Cirrhosis == 2) && (PBC == 1))
        carcinoma ~ categorical([0.2727273, 0.7272727])
    elseif ((Cirrhosis == 2) && (PBC == 2))
        carcinoma ~ categorical([0.2, 0.8])
    elseif ((Cirrhosis == 3) && (PBC == 1))
        carcinoma ~ categorical([0.1, 0.9])
    elseif ((Cirrhosis == 3) && (PBC == 2))
        carcinoma ~ categorical([0.01, 0.99])
    else
        @assert false
    end

    if ((bilirubin == 1))
        itching ~ categorical([0.875, 0.125])
    elseif ((bilirubin == 2))
        itching ~ categorical([0.6865672, 0.3134328])
    elseif ((bilirubin == 3))
        itching ~ categorical([0.5477387, 0.4522613])
    elseif ((bilirubin == 4))
        itching ~ categorical([0.3333333, 0.6666667])
    else
        @assert false
    end

    if ((bilirubin == 1))
        skin ~ categorical([0.99378882, 0.00621118])
    elseif ((bilirubin == 2))
        skin ~ categorical([0.8955224, 0.1044776])
    elseif ((bilirubin == 3))
        skin ~ categorical([0.7035176, 0.2964824])
    elseif ((bilirubin == 4))
        skin ~ categorical([0.1822542, 0.8177458])
    else
        @assert false
    end

    if ((bilirubin == 1))
        jaundice ~ categorical([0.75, 0.25])
    elseif ((bilirubin == 2))
        jaundice ~ categorical([0.5671642, 0.4328358])
    elseif ((bilirubin == 3))
        jaundice ~ categorical([0.3467337, 0.6532663])
    elseif ((bilirubin == 4))
        jaundice ~ categorical([0.1942446, 0.8057554])
    else
        @assert false
    end

    if ((proteins == 1))
        ascites ~ categorical([0.1280932, 0.8719068])
    elseif ((proteins == 2))
        ascites ~ categorical([0.5833333, 0.4166667])
    else
        @assert false
    end

    if ((platelet == 1) && (inr == 1))
        bleeding ~ categorical([0.1428571, 0.8571429])
    elseif ((platelet == 1) && (inr == 2))
        bleeding ~ categorical([0.106383, 0.893617])
    elseif ((platelet == 1) && (inr == 3))
        bleeding ~ categorical([0.09090909, 0.90909091])
    elseif ((platelet == 2) && (inr == 1))
        bleeding ~ categorical([0.1304348, 0.8695652])
    elseif ((platelet == 2) && (inr == 2))
        bleeding ~ categorical([0.1373494, 0.8626506])
    elseif ((platelet == 2) && (inr == 3))
        bleeding ~ categorical([0.425, 0.575])
    elseif ((platelet == 3) && (inr == 1))
        bleeding ~ categorical([0.2, 0.8])
    elseif ((platelet == 3) && (inr == 2))
        bleeding ~ categorical([0.1333333, 0.8666667])
    elseif ((platelet == 3) && (inr == 3))
        bleeding ~ categorical([0.25, 0.75])
    elseif ((platelet == 4) && (inr == 1))
        bleeding ~ categorical([0.5, 0.5])
    elseif ((platelet == 4) && (inr == 2))
        bleeding ~ categorical([0.255814, 0.744186])
    elseif ((platelet == 4) && (inr == 3))
        bleeding ~ categorical([0.6666667, 0.3333333])
    else
        @assert false
    end

    if ((encephalopathy == 1))
        urea ~ categorical([0.2173913, 0.1304348, 0.6521739])
    elseif ((encephalopathy == 2))
        urea ~ categorical([0.03550296, 0.06508876, 0.89940828])
    else
        @assert false
    end

    if ((encephalopathy == 1))
        density ~ categorical([0.7391304, 0.2608696])
    elseif ((encephalopathy == 2))
        density ~ categorical([0.3772189, 0.6227811])
    else
        @assert false
    end

    if ((encephalopathy == 1))
        consciousness ~ categorical([0.3043478, 0.6956522])
    elseif ((encephalopathy == 2))
        consciousness ~ categorical([0.01627219, 0.98372781])
    else
        @assert false
    end

end
